class CommunityCenter extends Building
{
    constructor( engine , x , z )
    {
        super( engine , x , z , BuildingType.COMMUNITY_CENTER );

        this.model = Sparrow.ModelLoader.loadGLTF( engine , "models/community_center.gltf" );
        this.model.setTranslation( this.x , 0 , this.z );
        this.model.addOnClickHandler( () => {
            game.buildingManager.buildingClicked( this );
        } );
        water.addObject( this.model );
        shadowMap.addObject( this.model );
    }

    demolish()
    {

    }

    upgrade()
    {

    }
}